package com.sundot.airport.item.mapper;

import com.sundot.airport.item.domain.HkOperationData;

import java.util.Date;
import java.util.List;

public interface HkOperationDataMapper {

    List<HkOperationData> selectHkOperationDataList(HkOperationData query);

    HkOperationData selectHkOperationDataById(Long id);

    HkOperationData selectHkOperationDataByDate(Date recordDate);

    int insertHkOperationData(HkOperationData data);

    int updateHkOperationData(HkOperationData data);

    int deleteHkOperationDataByIds(Long[] ids);
}
